2016/Jun/12

วันก่อนอัพเกรดจาก Arduino 1.6.8 เป็น 1.6.9 เพื่ออยากจะลอง Serial Plotter แล้ว Compiling บอร์ด NodeMCU 1.0 (ESP-12E Module) ไม่ผ่าน ตามรูป

Error compiling for board NodeMCU 1.0 (ESP-12E Module)

Board nodemcuv2 (platform esp8266, package esp8266) is unknown

Error compiling for board NodeMCU 1.0 (ESP-12E Module).

แก้ไงก็ไม่หาย ลบโปรแกรมออก ลงใหม่ก็ไม่หาย เปลี่ยนเป็น Version เก่าก็ไม่หาย ไปอ่านเจอวิธีแก้ในเว็บ บอกให้ไปลบแฟ้มเก่าออกก่อน https://github.com/esp8266/Arduino/issues/1387 

ลองไปเปิดดูตามที่แนะนำ มี 2 แฟ้มจริงๆ ด้วย งั้นลบของเก่าทิ้งไป
C:\Users\EGAT\AppData\Local\Arduino15\packages\esp8266\hardware\esp8266

เมื่อลบเสร็จลอง run ดู ผลใช้ได้แล้วครับ

 ขอบคุณ anhhuy0501 ที่ให้คำแนะนำใน https://github.com/esp8266/Arduino/issues/1387 

Comment

Comment:

Tweet


ศรีเดช ปัญจขันธ์
View full profile